%%%%%%%%%%%%%%%%%%%%%  Basic options

op(400, xfx, [*,+,^,v,/,\,#]).  % infix operators
op(300,yf,@).                   % postfix operator

clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).

assign(pick_given_ratio, 4).
assign(max_mem, 20000).

%%%%%%%%%%%%%%%%%%%%%  Standard for equational problems

set(knuth_bendix).
set(build_proof_object).

%%%%%%%%%%%%%%%%%%%%%  Standard options for hyperresolution

set(output_sequent).
set(hyper_res).
set(order_history).
set(unit_deletion).
set(para_from_units_only).
set(para_into_units_only).

%%%%%%%%%%%%%%%%%%%%%  Modifications to strategy

assign(max_weight, 19).
assign(neg_weight, -10).

%%%%%%%%%%%%%%%%%%%%%  Clauses

list(usable).
x = x.
B ^ A != A ^ B | (A ^ B) ^ C != A ^ ( B ^ C) | A ^ (A v B) != A 
   | B v A != A v B | (A v B) v C != A v ( B v C) | A v (A ^ B) != A.
end_of_list.

list(sos).
x ^ (x v y) = x. 
x ^ (y v z) = (z ^ x) v (y ^ x).
end_of_list.

list(passive).
end_of_list.
